### Method

# Gimp Vector2 mul_val

#### Declaration [src]

    GimpVector2
    gimp_vector2_mul_val (
      GimpVector2 vector,
      gdouble factor
    )

#### Description [src]

Identical to `gimp_vector2_mul()`, but the vector is passed by value rather than by reference.

#### Parameters

`factor` | `gdouble`
| A scalar.

#### Return value

Returns: | `GimpVector2`
| The resulting `GimpVector2`.